Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Where are 'org.eclipse.emf.facet.infra.browser.uicore.**' classes in Papyrus 1.0.2?(Classes dependency)
Where are 'org.eclipse.emf.facet.infra.browser.uicore.**' classes in Papyrus 1.0.2? [message #1697568] Fri, 05 June 2015 02:57 Go to next message
MyungWoon Oh is currently offline MyungWoon OhFriend
Messages: 52
Registered: March 2012
Member
Hi.

I had made a custom model explorer in Papyrus-0.9.1.
Now I'm migrating that custom model explorer into Papyrus-1.0.2, and I found that a lot of EMF Facet stuffs are changed in the current 1.0.2

What I want to find are like below:

org.eclipse.emf.facet.infra.browser.uicore.internal.AppearanceConfiguration;
org.eclipse.emf.facet.infra.browser.uicore.internal.model.ITreeElement;
org.eclipse.emf.facet.infra.browser.uicore.internal.model.ItemsFactory;
org.eclipse.emf.facet.infra.browser.uicore.internal.model.ModelElementItem;
org.eclipse.emf.facet.infra.browser.uicore.internal.model.LinkItem;
org.eclipse.emf.facet.infra.browser.Messages;
org.eclipse.emf.facet.infra.browser.custom.MetamodelView;
org.eclipse.emf.facet.infra.browser.custom.TypeView;
org.eclipse.emf.facet.infra.browser.custom.core.CustomizationsCatalog;
org.eclipse.emf.facet.infra.browser.uicore.CustomizableModelContentProvider;
org.eclipse.emf.facet.infra.browser.uicore.internal.AppearanceConfiguration;
org.eclipse.emf.facet.infra.browser.uicore.internal.model.ItemsFactory;

I've already checked https://bugs.eclipse.org/bugs/show_bug.cgi?id=374109, which says,

Quote:
org.eclipse.emf.facet.infra.browser.custom* plug-ins are replaced by org.eclipse.emf.facet.custom.*


But I couldn't find how to map those classes above to new versions of emf facet classes.

Could anyone let me know the mapping between old and new classes, or history of EMF Facet classes, so I can migrate my custom model explorer into Papyrus-1.0.2?

[Updated on: Fri, 05 June 2015 03:04]

Report message to a moderator

Re: Where are 'org.eclipse.emf.facet.infra.browser.uicore.**' classes in Papyrus 1.0.2? [message #1697585 is a reply to message #1697568] Fri, 05 June 2015 08:04 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille LetavernierFriend
Messages: 932
Registered: February 2011
Senior Member
Hi,

There is no straightforward mapping or automated migration tool from EMF Facet 0.1.x models and Papyrus Facet 1.0.0+ models (Corresponding to EMF Facet 0.2+ models)

The EMF Facet metamodel has been rewritten after 0.2.x and is not compatible with the former versions (Although both were supported in parallel for some time). When releasing Papyrus 1.0.0, we had to fork EMF Facet for several reasons and decided to go with the 0.2+ metamodel.

So, the plug-ins your are looking for don't exist anymore, and older versions of these plug-ins will not work with Papyrus 1.0.0+. Instead, you should use the equivalent feature in Papyrus Facet (org.eclipse.papyrus.emf.facet.*). Unfortunately, the tooling for manipulating these models is not as good as it were in EMF Facet 0.1.x, so it might be a little bit complicated to do the migration

Facets and Customs are documented in the Eclipse Help under Contents > Papyrus Guide > User Guide > Facet.

HTH,
Camille


Camille Letavernier
Re: Where are 'org.eclipse.emf.facet.infra.browser.uicore.**' classes in Papyrus 1.0.2? [message #1711282 is a reply to message #1697585] Wed, 14 October 2015 14:24 Go to previous messageGo to next message
Ronan B is currently offline Ronan BFriend
Messages: 273
Registered: July 2009
Senior Member
Hi!
It is quite annoying that the documentation is still not available on the internet. Can't it be published there too, as well as via the F1 help?
Regards,
Ronan
Re: Where are 'org.eclipse.emf.facet.infra.browser.uicore.**' classes in Papyrus 1.0.2? [message #1711287 is a reply to message #1711282] Wed, 14 October 2015 15:00 Go to previous messageGo to next message
Christian Damus is currently offline Christian DamusFriend
Messages: 1221
Registered: July 2009
Location: Canada
Senior Member

Hi, Ronan,

That's https://bugs.eclipse.org/bugs/show_bug.cgi?id=443315

The last I heard, this was blocked by our doc bundles having
dependencies on some other plug-ins that don't belong in an Eclipse
InfoCenter.

Cheers,

Christian


On 2015-10-14 14:24:56 +0000, Ronan B said:

> Hi!
> It is quite annoying that the documentation is still not available on
> the internet. Can't it be published there too, as well as via the F1
> help?
> Regards,
> Ronan
Re: Where are 'org.eclipse.emf.facet.infra.browser.uicore.**' classes in Papyrus 1.0.2? [message #1711295 is a reply to message #1711287] Wed, 14 October 2015 16:14 Go to previous message
Ronan B is currently offline Ronan BFriend
Messages: 273
Registered: July 2009
Senior Member
Ok, good to know. I hope this gets resolved soon. Thanks Christian.
Previous Topic:How to create programmatically a Papyrus Model ?
Next Topic:Showing the icon of a second profile
Goto Forum:
  


Current Time: Sun Nov 29 11:26:03 GMT 2020

Powered by FUDForum. Page generated in 0.02601 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top